Charges

GET/billing/charges

List charges

Request

GET/billing/charges
curl -G https://YOUR_DOMAIN/api/billing/charges \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json"
Loading response...
GET/billing/charges/{charge}

Show a charge

Required attributes

  • Name
    charge
    Type
    integer
    Description
    The ID of the charge 1

Request

GET/billing/charges/{charge}
curl -G https://YOUR_DOMAIN/api/billing/charges/{charge} \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json"
Loading response...
POST/billing/charges/quick-adjustment

Store a quick adjustment charge

Required attributes

  • Name
    amount
    Type
    number
    Description
    The amount of the adjustment 9.99
  • Name
    description
    Type
    string
    Description
    A description of the adjustment Monthly fee adjustment

Request

POST/billing/charges/quick-adjustment
curl -X POST https://YOUR_DOMAIN/api/billing/charges/quick-adjustment \
  -H "Authorization: Bearer {token}" \
  -H "Accept: application/json" \
  -H "Content-Type: application/json" \
  -d '{
    "amount": 9.99,
    "description": "Monthly fee adjustment"
}'
Loading response...